# Uses of Class
org.eclipse.swt.events.KeyEvent

Packages that use KeyEvent
Package
Description
org.eclipse.swt.events

## Uses of KeyEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type KeyEvent
Modifier and Type
Method
Description
`void`
KeyAdapter.`keyPressed(KeyEvent e)`
Sent when a key is pressed on the system keyboard.
`void`
KeyListener.`keyPressed(KeyEvent e)`
Sent when a key is pressed on the system keyboard.
`void`
KeyAdapter.`keyReleased(KeyEvent e)`
Sent when a key is released on the system keyboard.
`void`
KeyListener.`keyReleased(KeyEvent e)`
Sent when a key is released on the system keyboard.
Method parameters in org.eclipse.swt.events with type arguments of type KeyEvent
Modifier and Type
Method
Description
`static KeyListener`
KeyListener.`keyPressedAdapter(Consumer<KeyEvent> c)`
Static helper method to create a `KeyListener` for the `KeyListener.keyPressed(KeyEvent e)`) method with a lambda expression.
`static KeyListener`
KeyListener.`keyReleasedAdapter(Consumer<KeyEvent> c)`
Static helper method to create a `KeyListener` for the `KeyListener.keyReleased(KeyEvent e)`) method with a lambda expression.